.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 800px;
}

.bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-height: 4rem;
  width: 600px;
  min-height: 87px;
  overflow: hidden;
  margin: 0;
  padding: 0.6rem 1rem;
  border-radius: 0.6rem;
  background-color: rgba(0, 0, 0, 0.05);
  opacity: 1;
  transition: all 0.4s ease-in;
}

.bar.unauthenticated {
  background-color: rgba(0, 0, 0, 0.02);
}

.bar.loading {
  opacity: 0.7;
  scale: 0.97;
}

@media (prefers-color-scheme: dark) {
  .bar,
  .bar.unauthenticated {
    background-color: rgba(255, 255, 255, 0.2);
  }
}

.button.primary {
  background-color: var(--primary-color);
  color: var(--default-color-dark-theme);
}

.spinerContainer {
  position: relative;
  height: 0px;
  width: 0px;
  flex-shrink: 1;
}

.spinner {
  position: absolute;
  top: 27px;
  left: -18px;
  width: 36px;
  height: 36px;
  display: inline-block;
}
.spinner::after,
.spinner::before {
  content: '';
  box-sizing: border-box;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  border: 2px solid #333;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  animation: animSpinner 2s linear infinite;
}

.spinner::after {
  animation-delay: 1s;
}

@media (prefers-color-scheme: dark) {
  .spinner::before {
    border: 2px solid #fff;
  }
}

@keyframes animSpinner {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}
